Skip to content

Get Unified Transactions

GET
/api/v1/unified/transactions
curl --request GET \
--url 'https://api.qeychain.xyz/api/v1/unified/transactions?page=1&page_size=50'

Get unified transaction list (CEX + on-chain + manual).

Supports filtering by source_type and exchange provider. Returns paginated results sorted by timestamp descending.

source_type
Any of:
string

Filter by source: on_chain, cex, manual, or null for all

exchange
Any of:
string

Filter by exchange: coinbase, gemini, kraken, robinhood

page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 50 >= 1 <= 200

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}